@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;700&family=Roboto:wght@100&display=swap');

:root{
    scroll-behavior: smooth;
    --background: linear-gradient(135deg, #667eea7e 0% #764ba298 100%);
    --color-primary:#667eea;
    --color-secondary:#764ba2;
    --boton-padding: 20px 40px;
}

body{
    font-family: 'Raleway', sans-serif;
}
.container{
    width: 90%;
    margin: 0 auto;
    overflow: hidden;
    padding: 80px 0;
    max-width: 1200px;
}

.subtitle{
    color: var(--color-primary);
    font-size: 2.5rem;
    margin-bottom: 35px;
}

.hero__header{
    height: 100vh;
    background-image: var(--background);
    background-image: url('../recursos/Home.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    position: relative;
}

.hero .container{
    padding: 0;
}
.nav__menu{
    display: flex;
    justify-content: flex-start;
    height: 70px;
    align-items: center;
    font-weight: 700;
    font-size: 25px;
}

.nav--footer{
    font-weight: 300;
    justify-content: flex-start;
}

.nav__items{
    color: var(--color-secondary);
    text-decoration: none;
    margin-right: 20px;
    padding: 10px 15px;
    font-weight: inherit;
}

.nav__items--footer{
    color: #fff;
    text-decoration: none;
    margin-right: 20px;
    padding: 10px 15px;
    font-weight: inherit;
}

.nav__items--cta{
    border: 1px solid #fff;
}

.nav__items--footer{
    padding: 10px;
}

.hero__container{
    display: flex;
    height: calc(100vh - 180px);
    align-items: center;
    color: var(--color-secondary);
}
.hero__texts{
    width: 80%;
    margin-bottom: 50px;
}
.hero__title{
    font-size: 3.2rem;
}
.hero__subtitle{
    font-size: 2rem;
    font-weight: 300;
    margin: 15px;
}
.hero__cta{
    display: inline-block;
    background: #fff;
    padding: var(--boton-padding);
    color: var(--color-primary);
    text-decoration: none;
    border-radius: 40px;
    font-size: 30px;

}
.hero__wave{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100px;

}
/*About*/
.presentation{
    padding: 0;
    text-align: center;
}
.presentation__picture{
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-bottom: 10px;
    object-fit: cover;
    object-position: top;
}
.presentation__copy{
    width: 80%;
    margin: 0 auto;
}
.presentation__cta{
    display: inline-block;
    margin-top: 30px;
    background:  var(--color-primay);
    color: #fff;
    text-decoration: none;
    padding: var(--boton-padding);
    border-radius: 40px;
}
.about{
    min-height: 400px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    row-gap: 80px;
    justify-items: center;
    align-items: center;
}
.about__img{
    text-align: center;
}
.about__img--left{
    text-align: left;
}
.about__picture{
    max-width: 80%;
}
.about__paragraph{
    margin-bottom: 20px;
    line-height: 1.5;
    font-weight: 300;
}
/*projets*/
.projects{
    background: #f2f2f2;
}
.projects__grid{
    display: grid;
    height: 540px;
    grid-template-areas: 
    "img1 img1 img2 img3"
    "img1 img1 img4 img5";
    gap: 10px;
}
.projects__item{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.projects__img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
}
.projects__item:nth-of-type(1){
    grid-area: img1;
}

.projects__item:nth-of-type(2){
    grid-area: img2;
}

.projects__item:nth-of-type(3){
    grid-area: img3;
}

.projects__item:nth-of-type(4){
    grid-area: img4;
}

.projects__item:nth-of-type(5){
    grid-area: img5;
}
.projects__hover{
    position: absolute;
    background: #dc143c8c;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transform: translateX(100%);
    cursor: pointer;
    transition: transform .3s ease-in-out;
}
.projects__item:hover .projects__hover{
    transform: translateX(0%);
}
.projects__icon{
    margin-top: 10px;
    font-size: 30px;
}
/*testimonios*/
.testimony__grid{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}
.testimony__item{
    width: 95;
    margin: 0 auto;
    background: var(--color-secondary);
    box-shadow: 0 8px 10px rgba(66,66,66, .5);
    border-radius: 7px;
    padding: 30px 25px;
    color: #fff;
    margin-bottom: 50px;
}
.testimony__person{
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}
.testimony__img{
    width: 440px;
    min-width: 440px;
    height: 440px;
    object-fit: cover;
    object-position: top;
    border-radius: 50px;
    border: 3px solid #fff;
    margin-right: 30px;
}
.testimony__name{
    font-size: 1.5rem;
    margin-bottom: 10px;
}
.testimony__verification{
    color: #E0AFA0;
    font-weight: 700;
}
.testimony__review{
    font-weight: 300;
}
/*RECONOCIMIENTOS*/

.reconocimientos{
    background: #f2f2f2;
}
.contenedor-galeria{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}
.img-galeria{
    object-fit: cover;
    width: 30%;
    display: block;
    margin-bottom: 15px;
    box-shadow: 0 0 6px rgba(0, 0, 0, .5);
    cursor: pointer;

}
.imagen-light{
   position: fixed;
   background: rgba(0, 0, 0, .6);
   width: 100%;
   height: 100%;
   top: 0;
   left: 0;
   display: flex;
   justify-content: center;
   align-items: center;
   transform: translate(100%);
   transition: transform .2s ease-in-out;
}
.show{
    transform: translate(0);
}
.agregar-imagen{
    object-fit: cover;
    width: 30%;
    border-radius: 10px;
    transform: scale(0);
    transition: transform .3s .2s;
}
.showImage{
    transform: scale(1);

}
.close{
    position: absolute;
    top: 15px;
    right: 15px;
    width: 40px;
    cursor: pointer;
}



/*FOOTER*/
.footer{
    background: var(--color-primary);
    padding-bottom: 0.1px;
}
.footer__grid{
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 20px;
    align-items: center;
}
.footer__title{
   font-weight: 400;
   color: #fff;
   font-size: 2rem;
   margin-bottom: 30px;
   text-align: center;
}
.footer__icons{
    display: flex;
    justify-content: space-evenly;
}
.footer__container-icons{
    display: inline-block;
    width: 60px;
    height: 60px;
    color: #fff;
    text-align: center;
    border: 1px solid #fff;
    border-radius: 50%;
}
.footer__icon{
    color: inherit;
    font-size: 30px;
    text-decoration: none;
    
}
.fa-brands.footer__icon{
    line-height: 60px;
}
.footer__marca{
    font-weight: 500;
    font-size: 40px;
    color: #fff;
}
.footer__marca+p{
    font-weight: 500;
    font-size: 20px;
    color: #fff;
    justify-content: space-evenly;
    flex-wrap: wrap;
}
.centro{
    text-align: center;
}
/*Boton Arria*/
.btn-scrolltop{
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #db7f7f;
    color: #fff;
    border: 1px solid white;
    border-radius: 100%;
    cursor: pointer;
    transform: translateY(100px);
    transition: 0.3s;
    
}
.btn-scrolltop-on{
    transform: translateY(0);
}
.line{
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    height: 2px;
    background: #fff;
    margin-bottom: 60px;
}
/*Responsivo diseño*/
@media screen and (max-width: 800px) {
    :root{
        --boton-padding: 18px 40px;
    }
    
    .nav{
        justify-content: space-around;
    }
    
    .nav__items--cta{
        border: none;
    }
    
    .nav__items{
        font-weight: 400;
        border-bottom: 1px solid #fff;
        margin-right: 0;
    }

    .nav__items--footer{
        border: none;
    }

    .hero__texts{
        width: 100%;
        margin-bottom: 80px;
    }

    .hero__title{
        font-size: 2.5rem;
    }

    .hero__subtitle{
        font-size: 1.5rem;
    }
    /*About*/
    .presentation__copy{
        width: 100%;
    }

    .about{
        grid-template-columns: 1fr;
    }
    .about.container{
        padding: 30px;
    }
    .about__img--left{
        text-align: center;
    }
    .about__tetxs:last-child{
        grid-row: 3/4;
    }
/* Mis proyectos*/
    .projects__grid{
        grid-template-areas: 
        "img1 img1 img2 img2"
        "img1 img1 img3 img3"
        "img4 img4 img5 img5";
       
    }

/*Reconocimientos*/
.agregar-imagen{
    width: 60%;
}
.img-galeria{
    width: 35%;
}

/*Testimonios */
    .testimony__grid{
        grid-template-columns: 1fr;
        gap: 30px;
    }
/*footer*/
.footer__grid{
    grid-template-columns: 1fr;
}
.footer__contac{
    grid-row: 1/2;
}
@media screen and (max-width: 500px) {
    :root{
        --boton-padding: 18px 35px
    }

    .subtitle{
        font-size: 2rem;
        margin-bottom: 2px;
    }

    .nav{
        flex-wrap: wrap;
        justify-content: space-evenly;
        margin-top: 10px;
    }
    .nav__items{
        padding: 0 10px;
        border: 0;
    }

    .hero__texts{
        text-align: center;
        margin-bottom: 100px;
    }

    .hero__title{
        font-size: 2rem;
    }
    /*Aout*/
    .presentation__picture{
        width: 120px;
        height: 120px;
    }

    .about{
       row-gap: 60px; 
    }

    .about.container{
        padding-top: 10px;
    }
/*Proyectos*/

    .projects__grid{
        grid-template-areas: 
        "img1"
        "img2"
        "img3"
        "img4"
        "img5";
        height: auto;
        grid-template-rows: repeat(5, 250px);
        grid-auto-rows: 250px;
        gap: 10px;
    }
 /*Reconocimientos*/
    .agregar-imagen{
        width: 95%;
    }
    .img-galeria{
        width: 95%;
    }

    /*Testimonio*/

    .testimony__item{
        padding: 30px 15px;
    }
    .testimony__texts{
        text-align: center;
    }

    .testimony__img{
        margin: 0;
        margin-bottom: 20px;
    }
    
}
    


    
}